Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.control
Interface ExecutionControlInfraTier

All Known Implementing Classes:
  CentralisedExecutionControl, JadeExecutionControl, SaciExecutionControl

    public interface ExecutionControlInfraTier

This interface is implemented in the infrastructure tier (distributed/centralised) to provide methods that the user controller may call.

Method Summary
`org.w3c.dom.Document` | `getAgState(java.lang.String agName)` Gets the agent state (beliefs, intentions, plans, ...) as an XML document
`RuntimeServicesInfraTier` | `getRuntimeServices()` Gets an object with infrastructure runtime services
`void` | `informAgToPerformCycle(java.lang.String agName, int cycle)` Informs an agent to continue to its next reasoning cycle.
`void` | `informAllAgsToPerformCycle(int cycle)` Informs all agents to continue to its next reasoning cycle.

Method Detail

### informAgToPerformCycle

    void informAgToPerformCycle(java.lang.String agName,
                                int cycle)

  Informs an agent to continue to its next reasoning cycle.

### informAllAgsToPerformCycle

    void informAllAgsToPerformCycle(int cycle)

  Informs all agents to continue to its next reasoning cycle.

### getAgState

    org.w3c.dom.Document getAgState(java.lang.String agName)

  Gets the agent state (beliefs, intentions, plans, ...) as an XML document

### getRuntimeServices

    RuntimeServicesInfraTier getRuntimeServices()

  Gets an object with infrastructure runtime services

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD